## python-ws4py 0.6.0+dfsg1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ws4py.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ws4py.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ws4py"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ws4py"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-ws4py 0.2.4

=== debian/changelog ===
python-ws4py (0.2.4-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.4.
  * Upload to unstable.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Wed, 15 May 2013 22:24:49 +0200

python-ws4py (0.2.4-1) experimental; urgency=low

  * New upstream release.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Thu, 13 Dec 2012 22:19:39 +0100

python-ws4py (0.2.3-2) experimental; urgency=low

  * Remove Suggests on non-existant doc package.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Thu, 06 Dec 2012 00:24:07 +0100

python-ws4py (0.2.3-1) experimental; urgency=low

  * Initial release. Closes: 695200

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Wed, 05 Dec 2012 10:18:20 +0100

=== debian/control ===
Source: python-ws4py
Section: python
Priority: extra
Maintainer: Stein Magnus Jodal <stein.magnus@jodal.no>
Build-Depends:
    debhelper (>= 8.0.0),
    python-all (>= 2.6.6-3~),
    python-setuptools,
    python-unittest2,
    python3-all,
    python3-setuptools,
    python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
    python-cherrypy3 (>= 3.2.2),
    python-gevent (>= 0.13.6),
    python-tornado (>= 2.0)
Standards-Version: 3.9.4
Homepage: http://www.defuze.org/oss/ws4py/docs/
Vcs-Git: git://github.com/jodal/python-ws4py.git
Vcs-Browser: https://github.com/jodal/python-ws4py
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-ws4py
Architecture: all
Depends:
    ${python:Depends},
    ${sphinxdoc:Depends},
    ${misc:Depends}
Suggests:
    python-cherrypy3 (>= 3.2.2) |
    python-gevent (>= 0.13.6) |
    python-tornado (>= 2.0)
Description: WebSocket library for Python (Python 2)
 Python library providing an implementation of the WebSocket protocol defined
 in RFC 6456.
 .
 This is the Python 2 version of the package.

Package: python3-ws4py
Architecture: all
Depends:
    ${python3:Depends},
    ${sphinxdoc:Depends},
    ${misc:Depends}
Suggests: python3-tornado (>= 2.0)
Description: WebSocket library for Python (Python 3)
 Python library providing an implementation of the WebSocket protocol defined
 in RFC 6456.
 .
 This is the Python 3 version of the package.

## python-ws4py 0.3.2

=== debian/changelog ===
python-ws4py (0.3.2-1) unstable; urgency=low

  * New upstream release.
  * Update copyright years for 2013.
  * Add Build-Depends on python-sphinxcontrib.seqdiag.
  * Remove python3-sphinx as an alternative to python-sphinx, since the
    seqdiag extension isn't packaged for Python 3.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Thu, 31 Oct 2013 21:44:47 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
     python-unittest2,
     python3-all,
     python3-setuptools,
-    python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
+    python-sphinx (>= 1.0.7+dfsg),
+    python-sphinxcontrib.seqdiag,
     python-cherrypy3 (>= 3.2.2),
     python-gevent (>= 0.13.6),
     python-tornado (>= 2.0)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3,sphinxdoc

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	python$* setup.py test -vv

# Test suite depends on optional dependencies that isn't available on Py3
#override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
override_dh_auto_test: $(PYTHON2:%=test-python%)
endif

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install

override_dh_installdocs:
	python setup.py build_sphinx
	dh_installdocs

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

=== debian/watch ===
version=3
http://www.defuze.org/oss/ws4py/ ws4py-(.*)\.tar\.gz

## python-ws4py 0.3.4

=== debian/changelog ===
python-ws4py (0.3.4-2) unstable; urgency=medium

  * Migrate to git-dpm, remove gbp config.
  * debian/clean
    - Move .egg-info from d/rules
  * debian/control
    - Set DPMT as maintainer, myself as uploader
    - Update Vcs-Git and Vcs-Browser to point to Alioth
    - Update Homepage
    - Bump Standards-Version to 3.9.6 (no change required)
    - Build-Depend on debhelper 9
    - Build-Depend on dh-python
    - Build-Depend on
      python3-{cherrypy3,gevent,sphinx,sphinxcontrib.seqdiag,tornado} so we
      can build docs under Python 3
    - Build-Depend on python{,3}-nose and python{,3}-mock to run tests
    - Run `wrap-and-sort -t -a`
    - Update python3-ws4py Suggests to include python3-cherrypy3 which is now
      available
  * debian/copyright
    - Update my email address
    - Update copyright for 2015
  * debian/patches
    - Add 0001-Fix-tests.patch based on upstream commits
  * debian/rules
    - Migrate to pybuild
  * debian/watch
    - Update to use pypi.debian.net

 -- Stein Magnus Jodal <jodal@debian.org>  Thu, 05 Nov 2015 15:50:39 +0100

python-ws4py (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5.
  * Update copyright years for 2014.
  * Install upstream changelog.

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Fri, 02 May 2014 10:44:11 +0200

=== debian/control ===
Source: python-ws4py
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stein Magnus Jodal <jodal@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-cherrypy3,
               python-gevent,
               python-mock,
               python-nose,
               python-setuptools,
               python-sphinx,
               python-sphinxcontrib.seqdiag,
               python-tornado,
               python3-all,
               python3-cherrypy3,
               python3-mock,
               python3-nose,
               python3-setuptools,
               python3-sphinx,
               python3-sphinxcontrib.seqdiag,
               python3-tornado,
Standards-Version: 3.9.6
Homepage: https://ws4py.readthedocs.org/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-ws4py.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-ws4py.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-ws4py
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Suggests: python-cherrypy3 | python-gevent | python-tornado,
Description: WebSocket library for Python (Python 2)
 Python library providing an implementation of the WebSocket protocol defined
 in RFC 6456.
 .
 This is the Python 2 version of the package.

Package: python3-ws4py
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Suggests: python3-cherrypy3 | python3-tornado,
Description: WebSocket library for Python (Python 3)
 Python library providing an implementation of the WebSocket protocol defined
 in RFC 6456.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=ws4py
export PYBUILD_BEFORE_TEST=cp -r {dir}/test {build_dir}
export PYBUILD_TEST_NOSE=1

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.txt

override_dh_installdocs:
	make -C docs/ clean html
	dh_installdocs

override_dh_auto_clean:
	dh_auto_clean
	make -C docs/ clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ws4py/ws4py-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-ws4py 0.4.2%2Bdfsg1

=== debian/rules ===
--- 
+++ 
@@ -5,17 +5,19 @@
 
 export PYBUILD_NAME=ws4py
 export PYBUILD_BEFORE_TEST=cp -r {dir}/test {build_dir}
+export PYBUILD_AFTER_TEST=rm {build_dir}/my.log
 export PYBUILD_TEST_NOSE=1
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_installchangelogs:
-	dh_installchangelogs CHANGELOG.txt
+	dh_installchangelogs CHANGELOG.md
 
 override_dh_installdocs:
 	make -C docs/ clean html
 	dh_installdocs
+	dh_installdocs -A README.md
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg1,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-ws4py-$1\.tar\.gz/ \
  https://github.com/Lawouach/WebSocket-for-Python/tags .*/v?(\d\S+)\.tar\.gz

## python-ws4py 0.4.2+dfsg1

=== debian/changelog ===
python-ws4py (0.4.2+dfsg1-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Stein Magnus Jodal ]
  * Remove myself from Uploaders

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Stein Magnus Jodal <jodal@debian.org>  Sat, 05 Dec 2020 00:05:48 +0100

python-ws4py (0.4.2+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support (Closes: #938265).

 -- Ondřej Nový <onovy@debian.org>  Fri, 27 Sep 2019 10:22:47 +0200

python-ws4py (0.4.2+dfsg1-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ William Grzybowski ]
  * d/patches: Add to fix compatibility with Python 3.7. (Closes: #903529)
  * d/compat: no longer required for debhelper 12.
  * d/control: Update debhelper to version 12.
  * d/control: Update Standards-Version to 4.4.0.
  * d/rules: install docs and examples correctly for debhelper 12.

 -- William Grzybowski <william@grzy.org>  Thu, 18 Jul 2019 16:40:13 -0300

python-ws4py (0.4.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Add Breaks+Replace for -doc package (Closes: #882411)

 -- Ondřej Nový <onovy@debian.org>  Wed, 22 Nov 2017 15:29:35 +0100

python-ws4py (0.4.2+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Fixed typo in description (Closes: #850177)
  * Enable autopkgtest-pkg-python testsuite
  * Fixed doc-base for newer Sphinx
  * Deprecating priority extra as per policy 4.0.1.
  * Standards-Version is 4.1.1 now
  * Move documentation to python-ws4py-doc package (Closes: #855560)
  * Removed pre-wheezy versioned dependencies
  * Bump debhelper compat level to 10
  * d/watch: Use GitHub tags for orig tarball, because it contains docs
    directory
  * d/copyright
    - Bump copyright years
    - Add myself for Debian part
    - Remove example/websensors/, it contains prebuild js
  * d/rules: Fixed for new release
  * d/python-ws4py-doc.lintian-overrides: Override
    privacy-breach-uses-embedded-file in example

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Nov 2017 12:41:24 +0100

python-ws4py (0.3.4-4) unstable; urgency=medium

  [ Sandro Tosi ]
  * Team upload.

  [ Norimitsu Sugimoto ]
  * fix to fail unittest test_manager.py on 1 core CPU machine.
    (Closes: #834921)

 -- Sandro Tosi <morph@debian.org>  Sun, 19 Feb 2017 20:57:41 -0500

python-ws4py (0.3.4-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Stein Magnus Jodal ]
  * debian/control
    - Bump Standards-Version to 3.9.8. No changes required
    - Fix spelling-error-in-description-synopsis lintian warning due to
      duplicate words
    - Add Build-Depend-Indep on python-doc
  * debian/copyright
    - Update copyright years
  * debian/patches
    - Add patch to make intersphinx use object.inv from python-doc
      (Closes: #830613)

 -- Stein Magnus Jodal <jodal@debian.org>  Sun, 07 Aug 2016 23:02:52 +0200

=== debian/control ===
Source: python-ws4py
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-cherrypy3,
               python3-mock,
               python3-nose,
               python3-setuptools,
               python3-sphinx,
               python3-sphinxcontrib.seqdiag,
               python3-tornado,
Build-Depends-Indep: python3-doc
Standards-Version: 4.5.0
Homepage: https://ws4py.readthedocs.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ws4py.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ws4py
Testsuite: autopkgtest-pkg-python

Package: python3-ws4py
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Suggests: python3-cherrypy3 | python3-tornado,
          python-ws4py-doc
Description: WebSocket library (Python 3)
 Python library providing an implementation of the WebSocket protocol defined
 in RFC 6455.
 .
 This is the Python 3 version of the package.

Package: python-ws4py-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Replaces: python-ws4py (<< 0.4.2+dfsg1-1),
          python3-ws4py (<< 0.4.2+dfsg1-1),
Breaks: python-ws4py (<< 0.4.2+dfsg1-1),
        python3-ws4py (<< 0.4.2+dfsg1-1),
Description: WebSocket library (docs)
 Python library providing an implementation of the WebSocket protocol defined
 in RFC 6455.
 .
 This package contains documentation.

=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,17 @@
 export PYBUILD_TEST_NOSE=1
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.md
 
 override_dh_installdocs:
 	make -C docs/ clean html
-	dh_installdocs
 	dh_installdocs -A README.md
+
+override_dh_installexamples:
+	dh_installexamples -p python-ws4py-doc --doc-main-package=python-ws4py-doc
 
 override_dh_auto_clean:
 	dh_auto_clean

## python-ws4py 0.5.1+dfsg1

=== debian/changelog ===
python-ws4py (0.5.1+dfsg1-4) unstable; urgency=medium

  * Remove usage of python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Dec 2024 02:12:34 +0100

python-ws4py (0.5.1+dfsg1-3) unstable; urgency=medium

  * Add myself as human uploader
  * Set Rules-Requires-Root: no
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sun, 24 Nov 2024 16:00:29 +0100

python-ws4py (0.5.1+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Temporarily build-depend on python3-exceptiongroup to work around
    #1027751 in pytest.

 -- Colin Watson <cjwatson@debian.org>  Mon, 02 Jan 2023 20:50:42 +0000

python-ws4py (0.5.1+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (closes: #916495).
  * Update watch file format version to 4.
  * Update standards version to 4.6.2, no changes needed.

 -- Colin Watson <cjwatson@debian.org>  Mon, 02 Jan 2023 18:55:38 +0000

python-ws4py (0.4.2+dfsg1-7) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Colin Watson ]
  * Switch from nose to pytest (closes: #1018593).
  * Update Lintian overrides to current syntax.

 -- Colin Watson <cjwatson@debian.org>  Sun, 11 Dec 2022 22:38:35 +0000

python-ws4py (0.4.2+dfsg1-6) unstable; urgency=medium

  * Apply multi-arch hints.
    + python-ws4py-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 25 May 2022 20:59:01 +0100

=== debian/control ===
Source: python-ws4py
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexandre Detiste <tchet@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-cherrypy3,
# Workaround for https://bugs.debian.org/1027751.
               python3-exceptiongroup,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-sphinxcontrib.seqdiag,
               python3-tornado,
Rules-Requires-Root: no
Build-Depends-Indep: python3-doc
Standards-Version: 4.6.2
Homepage: https://ws4py.readthedocs.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ws4py.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ws4py
Testsuite: autopkgtest-pkg-python

Package: python3-ws4py
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Suggests: python3-cherrypy3 | python3-tornado,
          python-ws4py-doc
Description: WebSocket library
 Python library providing an implementation of the WebSocket protocol defined
 in RFC 6455.

Package: python-ws4py-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Replaces: python-ws4py (<< 0.4.2+dfsg1-1),
          python3-ws4py (<< 0.4.2+dfsg1-1),
Breaks: python-ws4py (<< 0.4.2+dfsg1-1),
        python3-ws4py (<< 0.4.2+dfsg1-1),
Multi-Arch: foreign
Description: WebSocket library (docs)
 Python library providing an implementation of the WebSocket protocol defined
 in RFC 6455.
 .
 This package contains documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=ws4py
export PYBUILD_BEFORE_TEST=cp -r {dir}/test {build_dir}
export PYBUILD_AFTER_TEST=rm {build_dir}/my.log
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

override_dh_installdocs:
	make -C docs/ clean html
	dh_installdocs -A README.md

override_dh_installexamples:
	dh_installexamples -p python-ws4py-doc --doc-main-package=python-ws4py-doc

execute_after_dh_auto_clean:
	make -C docs/ clean

## python-ws4py 0.6.0+dfsg1

=== debian/changelog ===
python-ws4py (0.6.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.6.0+dfsg1
  * Remove temporary dependency on python3-exceptiongroup

 -- Alexandre Detiste <tchet@debian.org>  Fri, 08 Aug 2025 16:07:20 +0200

=== debian/control ===
Source: python-ws4py
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-cherrypy3,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
 python3-sphinxcontrib.seqdiag,
 python3-tornado,
Rules-Requires-Root: no
Build-Depends-Indep:
 python3-doc,
Standards-Version: 4.7.2
Homepage: https://ws4py.readthedocs.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ws4py.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ws4py
Testsuite: autopkgtest-pkg-python
X-Style: black

Package: python3-ws4py
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python-ws4py-doc,
 python3-cherrypy3 | python3-tornado,
Description: WebSocket library
 Python library providing an implementation of the WebSocket protocol defined
 in RFC 6455.

Package: python-ws4py-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Replaces:
 python-ws4py (<< 0.4.2+dfsg1-1),
 python3-ws4py (<< 0.4.2+dfsg1-1),
Breaks:
 python-ws4py (<< 0.4.2+dfsg1-1),
 python3-ws4py (<< 0.4.2+dfsg1-1),
Multi-Arch: foreign
Description: WebSocket library (docs)
 Python library providing an implementation of the WebSocket protocol defined
 in RFC 6455.
 .
 This package contains documentation.

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 
 export PYBUILD_NAME=ws4py
 export PYBUILD_BEFORE_TEST=cp -r {dir}/test {build_dir}
-export PYBUILD_AFTER_TEST=rm {build_dir}/my.log
-export PYBUILD_TEST_PYTEST=1
 
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-ws4py-$1\.tar\.gz/ https://github.com/Lawouach/WebSocket-for-Python/tags .*/v?(\d\S+)\.tar\.gz
